%define name skencil
%define version 0.6.16
%define pyimgversion 1.1.2

%define realversion %{version}
%define release 4mdk
%define release %mkrel 4


Name:		%name
Summary:	Drawing tool
Version:	%version
Release:	%release

Source0:	http://download.sourceforge.net/sketch/%{name}-%{realversion}.tar.bz2
Source2:	sketch.menu.bz2
Patch1:		sketch-0.6.15-tk-include-path.patch.bz2
Patch2:		sketch-0.6.16pre2-lib64.patch.bz2
Patch3:		skencil-0.6.16-python2.4.patch.bz2
Group:		Graphics
BuildRequires:	XFree86-devel tcl tix tk
# required for sys.lib
BuildRequires:	python-devel >= 2.4-1mdk
BuildRequires:	python-imaging-devel
License:	GPL
BuildRoot:	%_tmppath/%name-%realversion-%release-root
Requires:	python-imaging tkinter
Requires:	python-pyxml
Provides:	sketch = %version
Obsoletes:	sketch
URL:		http://www.skencil.org/

%description
Drawing tool written in Python, using Bezier curves. Need to install tkinter.

%prep

%setup -q -n %{name}-%{realversion}
%patch1 -p1 -b .tk-include-path
%patch2 -p1 -b .lib64
%patch3 -p1 -b .python2.4

%build

./setup.py configure --with-nls
./setup.py build

%install
rm -fr %buildroot

./setup.py install --prefix=$RPM_BUILD_ROOT%{_prefix}

# (fg) Install program is shitty to say the least, we have to substitute all
# occurences of RPM_BUILD_{ROOT,DIR} to void :(
# Geoff says that the following is too disgusting to watch and harmful
# for your health.

set +x
(
  cd $RPM_BUILD_ROOT

  for i in `find -type f`; do
    perl -pi -e "s|$RPM_BUILD_ROOT||" $i;
    perl -pi -e "s|$RPM_BUILD_DIR||" $i;
  done
)
set -x

# Now correct all the bugs the install script introduces:
cp Sketch/Modules/*so $RPM_BUILD_ROOT%{_libdir}/%{name}-%{realversion}/Sketch/Modules
cp Filter/*so Pax/*so $RPM_BUILD_ROOT%{_libdir}/%{name}-%{realversion}/Lib/

#install menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
bzcat %{SOURCE2} > $RPM_BUILD_ROOT%{_menudir}/%name

%find_lang --all-name %name.lang

%post
%update_menus

%postun
%clean_menus

%clean
rm -fr %buildroot

%files -f %name.lang
%defattr(-,root,root,0755)
%doc Doc/* 
%{_libdir}/%{name}-%{realversion}
%{_bindir}/*
%{_menudir}/%name

%changelog
* Sat Mar 19 2005 Frederic Lepied <flepied@mandrakesoft.com> 0.6.16-4mdk
- requires python-pyxml (bug #14766)

* Wed Mar  9 2005 Frederic Lepied <flepied@mandrakesoft.com> 0.6.16-3mdk
- don't use an internal python-imaging. This fixes image loading.
- fixed URL

* Wed Dec 15 2004 Daniel Burr <daniel@tmq.com.au> 0.6.16-2mdk
- Update paxtkinter to work with python 2.4

* Wed May  5 2004 Frederic Lepied <flepied@mandrakesoft.com> 0.6.16-1mdk
- new name for sketch

* Wed Feb 18 2004 David Baudens <baudens@mandrakesoft.com> 0.6.16-0.pre2.3mdk
- Fix menu

* Fri Sep 26 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.6.16-0.pre2.2mdk
- lib64 fixes

* Wed Sep 17 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.6.16-0.pre2.1mdk
- Fix Bug#4778 : update to 0.6.16pre2 reported by the author to work with latest python.

* Wed May 14 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.6.15-2mdk
- rebuild against tcl8.4

* Wed Feb 19 2003 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.6.15-1mdk
- Bump to version 0.6.15.

* Mon Jul 29 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6.13-2mdk
- Update source2 : Remove NO_XALF menu entry

* Sat Mar 30 2002 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.6.13-1mdk
- Shiniest sketch up till now.

* Thu Jan 10 2002 David BAUDENs <baudens@mandrakesoft.com> 0.6.12-4mdk
- Fix %%post

* Wed Jan 09 2002 David BAUDENs <baudens@mandrakesoft.com> 0.6.12-3mdk
- Fix menu entry (png icon)

* Tue Sep 11 2001 David BAUDENS <baudens@mandrakesoft.com> 0.6.12-2mdk
- Use standard icons
- Clean after build

* Sun Jul 08 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.6.12-1mdk
- Bump up to 0.6.12 the newest and shiniest source.

* Mon Jun 18 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6.11-2mdk
- new office menu structure

* Tue Jun 12 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.6.11-1mdk
- New and shiny 0.6.11.
- Use Python Imaging 1.1.2 (crack open Source RPM for some more info).
- Make fg's loop perl replacement silent aka set -x.

* Sat May 12 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.6.10-1mdk
- New and shiny 0.6.10.
- Update Python Imaging to 1.0.
- Compile with NLS.
- Patch0 to fix directory not found /usr/include/{tcl,tk}8.3.

* Wed Apr 11 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6.9-2mdk
- Correct GNOME menu entry

* Wed Mar  7 2001 DindinX <flepied@mandrakesoft.com> 0.6.9-1mdk
- 0.6.9
- removed patch for python 2.0 compilation (fixed in 0.6.9)

* Sat Nov 25 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.6.8-3mdk
- added patch for python 2.0 compilation.

* Fri Oct 06 2000 DindinX <odin@mandrakesoft.com> 0.6.8-2mdk
- fix 32x32 and 48x48 icons

* Sun Aug 13 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.6.8-1mdk
- s|0.6.7|0.6.8|.
- rebuild with new tcltk libs
- fix a FIXME: add url for source

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.6.7-3mdk
- automatically added BuildRequires

* Tue Aug 01 2000 Geoffrey Lee <snailtalk@mandrakesot.com> 0.6.7-2mdk
- macrosifications
- rebuild for the new tcltk 8.3
- rebuild for the BM

* Mon Jun 19 2000 DindinX <odin@mandrakesoft.com> 0.6.7-1mdk
- 0.6.7

* Fri Apr 28 2000 DindinX <odin@mandrakesoft.com> 0.6.5-4mdk
- Added 32x32 and 48x48 icons

* Fri Apr 28 2000 DindinX <odin@mandrakesoft.com> 0.6.5-3mdk
- remove menu icon path

* Tue Apr 11 2000 DindinX <odin@mandrakesoft.com> 0.6.5-2mdk
- Added nice Hlne's menu icon

* Thu Mar 30 2000 DindinX <odin@mandrakesoft.com> 0.6.5-1mdk
- New version
- Added menu entry

* Fri Mar 24 2000 DindinX <odin@mandrakesoft.com> 0.6.3-6mdk
- Many fixes to the spec file...
  The install script is _really_ broken

* Tue Jan 18 2000 Francis Galiegue <francis@mandrakesoft.com>
- Major spec file fixes
- Made it work

* Mon Jan 10 2000 Lenny Cartier <lenny@mandrakesoft.com>
- build for oxygen

* Wed Dec 29 1999 Lenny Cartier <lenny@mandrakesoft.com>
- only add the URL tag

* Tue Dec 28 1999 Lenny Cartier <lenny@mandrakesoft.com>
- fix pyhton-imaging requires (thanks Fred)

* Mon Dec 27 1999 Lenny Cartier <lenny@mandrakesoft.com>
- first specfile for sketch
- new in contribs
- little trick to make it compile
